{% extends '::base.html.twig' %}

{% block bread %}
    {{ parent() }}
    <li><a href="{{ url('app_category_list') }}">Products</a></li>
    <li><a href="{{ url('app_category_view', {'category': product.getCategory.getSlug}) }}">{{ product.getCategory.getName }}</a></li>
    <li>{{ product.getName }}</li>
{% endblock %}

{% block title %}{{ product.getName }} - {{ parent() }}{% endblock %}

{% block search %}
    <div class="search">
        <div class="search-toggle">
            {{ fa('search') }}
        </div>
        <div class="search-form form-basic">

            {{ form_start(search) }}

            {{ form_widget(search.search) }}
            {{ form_widget(search.submit, { 'attr': {'class': 'btn-default'}, 'label': 'Search' }) }}

            {{ form_end(search) }}

        </div>
    </div>
{% endblock %}

{% block body %}
    <div class="container container-sr">
        <div class="row">

            <div class="product-view-image">
                <div class="card is-linkable is-animated product-view-image-main">
                    <div class="card-section-body">
                        <a  class="feed-attachment-link"
                            rel="product-image-group_{{ product.getName()|slugify }}"
                            title="{{ product.getName }}"
                            data-fancybox-initialized="0"
                            href="{{ asset_product(product.getImage) | imagine_filter('product_lg') }}"
                        >
                            <img src="{{ asset_product(product.getImage) | imagine_filter('product_thumb') }}" alt="{{ product.getName }}" />
                        </a>
                    </div>

                    {% include 'AppBundle:fragment:product-section-foot.html.twig' with {
                        'product'   : product,
                        'classes'   : 'has-accent has-depth',
                        'link_text' : 'Enlarge Thumbnail'
                    } only %}
                </div>

                {% if product.getImages()|length > 0 %}
                    <div class="product-alternate-images">
                        {% for image in product.getImages() %}
                            <div class="card is-linkable is-animated">
                                <div class="card-section-body">
                                    <a  class="feed-attachment-link"
                                        rel="product-image-group_{{ product.getName()|slugify }}"
                                        title="{{ product.getName }}{% if image.getDescriptionStripped %} - {{ image.getDescriptionStripped }}{% endif %}"
                                        data-fancybox-initialized="0"
                                        href="{{ asset_product(image.getImage) | imagine_filter('product_lg') }}"
                                    >
                                        <img src="{{ asset_product(image.getImage) | imagine_filter('product_thumb_no_border') }}"
                                             alt="{{ product.getName }}{% if image.getDescriptionStripped %} - {{ image.getDescriptionStripped }}{% endif %}"
                                        />
                                    </a>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                {% endif %}
            </div>

            <div class="product-view-info">
                <div class="card card-product-info">

                    <div class="product-name">
                        <h1>{{ product.getName() }}</h1>
                    </div>

                    <hr />

                    {% if product.hasSku() %}
                        <div class="product-sku">
                            <span class="label label-default">SKU: {{ product.getSku() }}</span>
                        </div>
                    {% endif %}

                    {% if product.hasDescription() %}
                        <div class="product-desc">
                            {{ product.getDescription()|raw }}
                        </div>
                    {% endif %}

                    <div class="product-price">

                        <p class="product-price-main">
                            ${{ product.getPrice()|number_format(2, '.', ',') }}
                        </p>

                        <p class="product-price-extra">

                            {% if product.hasNoShipping() %}
                                <em>$0.00</em>
                            {% else %}
                                <em>${{ product.getShippingRate(config('rate.shipping', constant('AppBundle\\Entity\\Product::RATE_SHIPPING_DEFAULT')))|number_format(2, '.', ',') }}</em>
                            {% endif %}
                            shipping per unit

                            {% if product.isTaxable() %}
                                /
                                {% if client_is_taxable() %}
                                    <em>{{ product.getTaxableRate(config('rate.taxable', constant('AppBundle\\Entity\\Product::RATE_TAX_PERCENTAGE')))|number_format(4, '.', ',') }}%</em>
                                {% else %}
                                    <em>$0.00</em>
                                {% endif %}
                                sales tax{% if client_region_name() != null %} for <em>{{ client_region_name() }}</em> region{% endif %}
                            {% endif %}

                        </p>
                    </div>

                    <div class="product-action">
                        <div class="product-add">
                            {% if cart_has(product) != true %}
                                {% include 'AppBundle:fragment:link-button.html.twig' with {
                                    'route' : 'app_cart_add',
                                    'args'  : {product: product.getId(), quantity: 1},
                                    'icon'  : 'plus',
                                    'text'  : 'Add to cart'
                                } only %}
                            {% else %}
                                <div class="btn-group">
                                    {% include 'AppBundle:fragment:link-button.html.twig' with {
                                        'route' : 'app_cart_view',
                                        'icon'  : 'ios-cart',
                                        'text'  : cart_count(product) ~ ' in cart',
                                        'tip'   : 'View your cart'
                                    } only %}
                                    {% include 'AppBundle:fragment:link-button.html.twig' with {
                                        'route' : 'app_cart_remove_group',
                                        'args'  : {product: product.getId()},
                                        'type'  : 'danger',
                                        'icon'  : 'trash-b',
                                        'tip'   : 'remove all'
                                    } only %}
                                    {% include 'AppBundle:fragment:link-button.html.twig' with {
                                        'route' : 'app_cart_remove',
                                        'args'  : {product: product.getId(), quantity: 1},
                                        'type'  : 'warning',
                                        'icon'  : 'minus-circled',
                                        'tip'   : 'remove one'
                                    } only %}
                                    {% include 'AppBundle:fragment:link-button.html.twig' with {
                                        'route' : 'app_cart_add',
                                        'args'  : {product: product.getId(), quantity: 1},
                                        'type'  : 'success',
                                        'icon'  : 'plus-circled',
                                        'tip'   : 'add another'
                                    } only %}
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {% if related|length > 0 %}
        <div class="container-sr-odd">
            <div class="container">

                <h4 class="primary-hr-i">
                    {{ ion('star') }} People Who Purchased <em>{{ product.getName() }}</em> Also Viewed:
                </h4>

                <div class="card-listing">
                    {% for p in related %}
                        {% include 'AppBundle:fragment:product-list-item-related.html.twig' with { 'product': p } only %}
                    {% endfor %}
                </div>

            </div>
        </div>
    {% endif %}

    {% if similar|length > 0 %}
        <div class="{% if related|length > 0 %}container-sr{% else %}container-sr-odd{% endif %}">
            <div class="container">

                <h4 class="primary-hr-i">
                    {{ ion('pricetags') }} Discover More <em>{{ product.getCategory().getName() }}</em> and Similar Products:
                </h4>

                <div class="card-listing">
                    {% for p in similar %}
                        {% include 'AppBundle:fragment:product-list-item-simple.html.twig' with { 'product': p } only %}
                    {% endfor %}
                </div>

                {% include 'AppBundle:fragment:link-button-right.html.twig' with {
                    'route' : 'app_category_view',
                    'args'  : {'category': category.getSlug()},
                    'text'  : 'All ' ~ category.getName()
                } only %}

            </div>
        </div>
    {% endif %}

    {% if other|length > 0 %}
        <div class="{% if similar|length > 0 %}{% if related|length > 0 %}container-sr-odd{% else %}container-sr{% endif %}{% else %}container-sr-odd{% endif %}">
            <div class="container">

                <h4 class="primary-hr-i">
                    {{ ion('pricetags') }} Discover <em>Other Products</em> Available:
                </h4>

                <div class="card-listing">
                    {% for p in other %}
                        {% include 'AppBundle:fragment:product-list-item-simple.html.twig' with { 'product': p } only %}
                    {% endfor %}
                </div>

            </div>
        </div>
    {% endif %}
{% endblock %}
